net.sf.saxon

## Class Version

- java.lang.Object
- - net.sf.saxon.Version

-     public final class Version
      extends Object

  The Version class holds the SAXON version information.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static String` | `getMajorReleaseDate()` Get the issue date of the most recent major release of the product, that is, a release offering new functionality rather than just bug fixes (typically, a release in which the first two digits of the version number change, for example 9.2 to 9.3).
    `static String` | `getProductName()` Return the name of this product.
    `static String` | `getProductTitle()` Get a message used to identify this product when a transformation is run using the -t option
    `static String` | `getProductVariantAndVersion(Configuration config)` Get the version number of the schema-aware version of the product
    `static String` | `getProductVendor()` Return the name of the product vendor.
    `static String` | `getProductVersion()` Get the user-visible version number of this version of the product
    `static String` | `getReleaseDate()` Get the issue date of this version of the product.
    `static int[]` | `getStructuredVersionNumber()` Get the four components of the structured version number.
    `static String` | `getWebSiteAddress()` Return a web site address containing information about the product.
    `static String` | `getXSLVersionString()` Get the version of the XSLT specification that this product supports
    `static void` | `main(String[] args)` Invoking net.sf.saxon.Version from the command line outputs the build number

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getProductName

          public static String getProductName()

      Return the name of this product. Supports the XSLT 2.0 system property xsl:product-name
      Returns:
        the string "SAXON"

    - #### getProductVendor

          public static String getProductVendor()

      Return the name of the product vendor.
      Returns:
        the string "Saxonica"

    - #### getProductVariantAndVersion

          public static String getProductVariantAndVersion(Configuration config)

      Get the version number of the schema-aware version of the product
      Parameters:
        `config` - the Saxon configuration
      Returns:
        the version number of this version of Saxon, as a string

    - #### getProductVersion

          public static String getProductVersion()

      Get the user-visible version number of this version of the product
      Returns:
        the version number of this version of Saxon, as a string: for example "9.0.1"

    - #### getStructuredVersionNumber

          public static int[] getStructuredVersionNumber()

      Get the four components of the structured version number. This is used in the .NET product to locate an assembly in the dynamic assembly cache: the assumption is that the third and fourth components represent implementation changes rather than interface changes
      Returns:
        the four components of the version number, as an array: for example {9, 0, 1, 1}

    - #### getReleaseDate

          public static String getReleaseDate()

      Get the issue date of this version of the product. This will be the release date of the latest maintenance release
      Returns:
        the release date, as an ISO 8601 string

    - #### getMajorReleaseDate

          public static String getMajorReleaseDate()

      Get the issue date of the most recent major release of the product, that is, a release offering new functionality rather than just bug fixes (typically, a release in which the first two digits of the version number change, for example 9.2 to 9.3).
      Returns:
        the release date, as an ISO 8601 string

    - #### getXSLVersionString

          public static String getXSLVersionString()

      Get the version of the XSLT specification that this product supports
      Returns:
        the string 2.0

    - #### getProductTitle

          public static String getProductTitle()

      Get a message used to identify this product when a transformation is run using the -t option
      Returns:
        A string containing both the product name and the product version

    - #### getWebSiteAddress

          public static String getWebSiteAddress()

      Return a web site address containing information about the product. Supports the XSLT system property xsl:vendor-url
      Returns:
        the string "http://saxon.sf.net/"

    - #### main

          public static void main(String[] args)

      Invoking net.sf.saxon.Version from the command line outputs the build number
      Parameters:
        `args` - not used

Copyright (c) 2004-2013 Saxonica Limited. All rights reserved.